%define debug_package %{nil} 

%define _rbindir %{_exec_prefix}/bin
########################################################################
# On CentOS/RHEL, if the Software Configurations Library is installed
# and Python 2.7 is installed, then it is used. This is only available
# on CentOS 6.5 for the x86_64 architecture, at this time.
########################################################################
%define __SCL	%(if [ -d /opt/rh/python27 ]; then echo 1; else echo 0; fi)

%if 0%{?__SCL} > 0 
	%define PYTHON     python27
	%define python_sitelib_old_1 %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(plat_specific=False)")
	%define python_sitelib_old_2 %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(plat_specific=True)")
	%define python_sitelib %(echo python -c '"from distutils.sysconfig import get_python_lib; print get_python_lib(plat_specific=False)"' | scl enable python27 -)
	%define _SCL_base %(echo $(dirname $(dirname `echo which python | scl enable python27 -`)))
	%define _bindir %(dirname `echo which python | scl enable python27 -`)
	%define _datadir %{_SCL_base}/share
	%define _mandir %{_datadir}/man
	%define _docdir %{_datadir}/doc
	%define  __os_install_post	\
	    /usr/lib/rpm/redhat/brp-compress; \
	    %{!?__debug_package:/usr/lib/rpm/redhat/brp-strip %{__strip}}; \
	    /usr/lib/rpm/redhat/brp-strip-static-archive %{__strip}; \
	    /usr/lib/rpm/redhat/brp-strip-comment-note %{__strip} %{__objdump}; \
	    echo /usr/lib/rpm/brp-python-bytecompile python27 | scl enable %{PYTHON} - ; \
	    /usr/lib/rpm/redhat/brp-python-hardlink; \
	    %{!?__jar_repack:/usr/lib/rpm/redhat/brp-java-repack-jars}
%else
	%define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib(plat_specific=False)")
%endif

Name: libvslvm
Version: 20160110
Release: 1%{?dist}
Summary: Library to access the Linux Logical Volume Manager (LVM) volume system
Group: System Environment/Libraries
License: LGPL
Source: %{name}-experimental-%{version}.tar.gz
URL: https://github.com/libyal/libvslvm/
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
              
              

%description
libvslvm is a library to access the Linux Logical Volume Manager (LVM) volume system

%package devel
Summary: Header files and libraries for developing applications for libvslvm
Group: Development/Libraries
Requires: libvslvm = %{version}-%{release}

%description devel
Header files and libraries for developing applications for libvslvm.

%package tools
Summary: Several tools for reading Linux Logical Volume Manager (LVM) volume systems
Group: Applications/System
Requires: libvslvm = %{version}-%{release} 
 

%description tools
Several tools for reading Linux Logical Volume Manager (LVM) volume systems

%package python
Summary: Python 2 bindings for libvslvm
Group: System Environment/Libraries
Requires: libvslvm = %{version}-%{release} python
%if 0%{?__SCL} > 0
BuildRequires:  python27-python-setuptools
Requires:       python27-python-setuptools
%else
BuildRequires:  python(abi) => 2.7
BuildRequires:  %(basename %{__python})-devel
Requires:       %(basename %{__python})
%endif

%description python
Python 2 bindings for libvslvm

%package python3
Summary: Python 3 bindings for libvslvm
Group: System Environment/Libraries
Requires: libvslvm = %{version}-%{release} python3
%if 0%{?__SCL} > 0
BuildRequires:  python33-python-setuptools
Requires:       python33-python-setuptools
%else
BuildRequires: python3-devel
%endif

%description python3
Python 3 bindings for libvslvm

%prep
########################################################################
# The system script that computes dependencies misidentifies the 
# python 2.7 dependency, so it is necessary to remove it from the
# dependency determination. 
########################################################################
%if 0%{?__SCL} > 0
cat > /tmp//pythondeps.sh << \EOF
#!/bin/sh
%{__python_requires} $* | sed -e 's/python(abi) = 2.7/python27-python(abi) = 2.7/'
EOF
chmod +x /tmp/pythondeps.sh
%define __python_requires /tmp/pythondeps.sh
%endif
%setup -q

%build
%if 0%{?__SCL} > 0
	echo sh configure --prefix=/usr --libdir=%{_libdir} --mandir=%{_mandir} --enable-python2 --enable-python3 | scl enable python27 python33 -
	echo make %{?_smp_mflags} | scl enable python27 python33 -
%else
	%configure --prefix=/usr --libdir=%{_libdir} --mandir=%{_mandir} --enable-python2 --enable-python3
	make %{?_smp_mflags}
%endif

%install
rm -rf %{buildroot}
%make_install

%clean
rm -rf %{buildroot}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS COPYING NEWS README
%attr(755,root,root) %{_libdir}/*.so.*

%files devel
%defattr(644,root,root,755)
%doc AUTHORS COPYING NEWS README ChangeLog
%{_libdir}/*.a
%{_libdir}/*.la
%{_libdir}/*.so
%{_libdir}/pkgconfig/libvslvm.pc
%{_includedir}/*
%{_mandir}/man3/*

%files tools
%defattr(644,root,root,755)
%doc AUTHORS COPYING NEWS README
%attr(755,root,root) %{_bindir}/vslvminfo
%attr(755,root,root) %{_bindir}/vslvmmount
%{_mandir}/man1/*

%files python
%defattr(644,root,root,755)
%doc AUTHORS COPYING NEWS README
%{_libdir}/python2*/site-packages/*.a
%{_libdir}/python2*/site-packages/*.la
%{_libdir}/python2*/site-packages/*.so

%files python3
%defattr(644,root,root,755)
%doc AUTHORS COPYING NEWS README
%{_libdir}/python3*/site-packages/*.a
%{_libdir}/python3*/site-packages/*.la
%{_libdir}/python3*/site-packages/*.so

%changelog
* Sun Jan 10 2016 Joachim Metz <joachim.metz@gmail.com> 20160110-1
- Auto-generated

